from zope.site import LocalSiteManager
from zope.formlib import form

from tc.collector.interfaces import ICollector

from tc.collector.ticketcollector import Collector

class AddTicketCollector(form.AddForm):

    form_fields = form.Fields(ICollector)

    def createAndAdd(self, data):
        name = data['name']
        description = data.get('description', u'')
        collector = Collector()
        collector.name = name
        collector.description = description
        self.context[name] = collector
        collector.setSiteManager(LocalSiteManager(collector))
        self.request.response.redirect(".")


class TicketCollectorMainView(form.DisplayForm):

    def __call__(self):
        return "Hello ticket collector!"


