from setuptools import setup, find_packages


setup(name='ticketcollector',
      version='0.1',
      description='Ticket Collector',
      long_description="""\
An issue tracking application""",
      # Get strings from http://www.python.org/pypi?%3Aaction=list_classifiers
      classifiers=[],
      keywords='',
      author='Baiju M',
      author_email='baiju@example.com',
      url='',
      license='ZPL',
      package_dir={'': 'src'},
      packages=find_packages('src'),
      namespace_packages=['tc'],
      include_package_data=True,
      zip_safe=False,
      install_requires=['setuptools',
                        'zope.securitypolicy',
                        'zope.component',
                        'zope.annotation',
                        'zope.browserresource',
                        'zope.app.dependable',
                        'zope.app.appsetup',
                        'zope.app.content',
                        'zope.publisher',
                        'zope.app.broken',
                        'zope.app.component',
                        'zope.app.generations',
                        'zope.app.error',
                        'zope.app.interface',
                        'zope.app.publisher',
                        'zope.app.security',
                        'zope.app.form',
                        'zope.app.i18n',
                        'zope.app.locales',
                        'zope.app.zopeappgenerations',
                        'zope.app.principalannotation',
                        'zope.app.basicskin',
                        'zope.app.rotterdam',
                        'zope.app.folder',
                        'zope.app.wsgi',
                        'zope.formlib',
                        'zope.i18n',
                        'zope.app.pagetemplate',
                        'zope.app.schema',
                        'zope.app.container',
                        'zope.app.debug',
                        'z3c.testsetup',
                        'zope.app.testing',
                        'zope.testbrowser',
                        'zope.login',
                        'zope.app.zcmlfiles',
                        ],
      entry_points = """
      [paste.app_factory]
      main = tc.main.startup:application_factory

      [paste.global_paster_command]
      shell = tc.main.debug:Shell
      """,
      )
